package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingOpenPosDiscountCodeCreateRequest struct {
	/*
	   请求信息     */
	UniqueDiscountCodeRequest *domain.AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest `json:"unique_discount_code_request" required:"true" `
}

func (s *AlibabaWdkMarketingOpenPosDiscountCodeCreateRequest) SetUniqueDiscountCodeRequest(v domain.AlibabaWdkMarketingOpenPosDiscountCodeCreateUniqueDiscountCodeRequest) *AlibabaWdkMarketingOpenPosDiscountCodeCreateRequest {
	s.UniqueDiscountCodeRequest = &v
	return s
}

func (req *AlibabaWdkMarketingOpenPosDiscountCodeCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.UniqueDiscountCodeRequest != nil {
		paramMap["unique_discount_code_request"] = util.ConvertStruct(*req.UniqueDiscountCodeRequest)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingOpenPosDiscountCodeCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
